
                                    「ペイントツールSAI」

-------------------------------------------------------------------------------------------
■更新履歴
-------------------------------------------------------------------------------------------

2008-07-25 Ver.1.0.2d
·ナビゲータを非表示にしてもナビゲータのサイズ変更バーが表示されたままになる不具合を修正

2008-07-25 Ver.1.0.2c
·sai形式での保存時に一部のレイヤー合成モードが入れ替わる不具合を修正

2008-07-25 Ver.1.0.2b
·レイヤー合成モード[オーバーレイ][発光][陰影]の結果が正しくない不具合を修正

2008-07-24 Ver.1.0.2
·Windows Vista対応
·ナビゲータのリサイズを実装
·ナビゲータに選択領域が表示されるよう変更 (ナビゲータリサイズ実装の都合による変更)
·曲線·折線ツールの内部処理を見直し
　- 右クリックを確定ではなくUNDOに変更
　- UNDOするとアクセス違反が発生する場合がある不具合を修正
　- その他細かい調整
·レイヤー合成モードの改修
　- [加算]の名称を[発光]に変更
　- [陰影]モードを追加 (Photoshopの[焼き込み(リニア)]に相当)
　- [明暗]モードを追加 (Photoshopの[リニアライト]に相当)
　- [下のレイヤーでクリッピング]されている場合の[オーバーレイ]の効果が正しくない場合があったのを修正
·初回起動時の管理者ログオンの機能を廃止 (Vistaの仕様でアプリから普通に管理者ログオンできないため)
·ファイルビューアを初めて表示した時にマイドキュメントを開くよう修正
·ファイルビューアでカレントフォルダが削除された時にファイルリストの項目が開けなくなる不具合を修正
·ファイルビューアで旧版の.saiファイルのサムネールを更新するとアクセス違反が発生する不具合を修正
·デスクトップの場所をデフォルト以外に変更している場合にファイルビューアで正しい場所が表示できない不具合を修正
·一部の環境でファイルビューアのファイルリストにフォルダが表示されない不具合を修正
·ペン入れレイヤーでマウスによるストロークのヌキの筆圧が50%になる不具合を修正
·レイヤーセットを他のキャンバスにコピーしたとき描画可能範囲がコピー元のままになっている不具合を修正
·幅もしくは高さが１ピクセルで他辺が3800程度以上のキャンバスを作成した場合にアクセス違反が発生する不具合を修正
·キャンバスを90度回転させた際にペン入れレイヤーや用紙質感の表示が欠けてしまう不具合を修正
·Win2003SP1以降(他XP-64bit, Vista)でのマルチプロセッサ環境での大径ブラシのレスポンスを改善
　(クリティカルセクションの仕様変更に伴い排他制御の平等性が失われた為、独自にクリティカルセクションを実装)
·バックグランドでブラシ描画が行われているときにビューをスクロールさせると表示が崩れる不具合を修正
·大径毛状ブラシ(丸筆、平筆等)で毛を太くするとブラシの描画が崩れる不具合を修正
·その他細かい調整とバグフィックス

2008-03-03 Ver.1.0.1
·エディットボックスに右クリックメニューを実装
·ペン入れレイヤーのストロークがクリップボードにコピーできない不具合を修正
·ペン入れレイヤーをラスタライズした時にレイヤー名の後ろに番号が付いてしまう不具合を修正
·カラー２値化レイヤーをPSDに保存したとき２値化が無効になる不具合を修正
·画像変形で数ピクセル平方程度の小さい画像を変形したときブロック状に欠けてしまう不具合を修正

2008-02-25 Ver.1.0.0
·ペイントツールSAI Ver.1.0.0 として製品版に移行しました。

2008-02-24 01:00 β3版(e3)
·PC負荷の高い状態で使用している場合に使用期限切れになる事がある不具合を修正

2008-02-21 12:00 β3版(e2)
·新規作成等のダイアログで設定不可能な大きな数値を入れてもサイズ情報が赤色にならない不具合を修正
·巨大キャンバスのロード時にペン入れレイヤーが正しく読み込めない不具合を修正

2008-02-19 04:00 β3版(e)
·[通常]レイヤーセット内に通過レイヤーセットを入れた場合に合成がおかしくなる不具合を修正
·レイヤーセットを多用した際のレイヤー表示を高速化
·キャンバスの最大サイズを10000×10000に拡大 (但し動作保証無し)
·ファイルビューアでの保存時にファイル名が選択状態になるよう修正
·その他細かい調整とバグフィックス

2008-02-18 22:00 β3版(d2)
·クリップボード経由で外部にペーストする場合にゴミが混ざる不具合を修正
·その他細かい調整

2008-02-18 11:00 β3版(d)
·.sai形式の保存·読み込みでフローティングを維持するよう変更 (後方互換性なし)
·.psd保存時にキャンバス外の部分も保存するように変更
·.sai/.psd保存時にレイヤーマスクのフローティング部分が失われる不具合を修正
·レイヤーマスクへのブラシ描画でマスクが適用されない不具合を修正
·レイヤーマスク適用ON/OFFのUNDO/REDOで正しく再描画されない不具合を修正
·レイヤープロパティ(不透明度等)のUNDO/REDOでナビゲータが更新されない不具合を修正
·ブラシ系ツールの筆圧反映チェックボックスに応じて機能しなくなるUIを無効化するよう変更
·関連付けでファイルを開いた時にビューのタイトルバーが複数有効になる不具合を修正
·ステータスバーOFFの時に関連付けでファイルを開くとキー押下の度にBeepが音鳴る不具合を修正
·SAIの二重起動時にキャンバスオープンエラーのダイアログが表示される不具合を修正
·キャンバスの幅か高さの一方に 8192 以上が指定できてしまう不具合を修正
·色相·彩度フィルタの演算順序を変更 (旧:色相·彩度→明度 新:明度→色相·彩度)
·コントラストフィルタの演算方式を変更、[色の濃さのパラメータを追加]
·クリップボードからの画像ペーストが一部のDIB形式にしか対応できていなかったのを修正
·[選択領域の大きさでコピー]を実装
·[通常]レイヤーセット内に[通過]レイヤーセットを入れると合成がおかしくなる不具合を修正
·修正液ツールで鋭角点情報が消えてしまう不具合を修正
·その他細かい調整とバグフィックス

2008-02-01 17:30 β3版(c)
·ペン入れレイヤーのラスタライズでレイヤーマスクが維持されない不具合を修正

2008-02-01 13:30 β3版(b)
·[ファイル]メニューに[クリップボードからキャンバスを作成]を追加
·[ファイル]メニューに[指定したファイル形式で出力]を追加
·[キャンバス]メニューの[キャンバスを閉じる]を[ファイル]メニューに移動
·テクスチャ類を遅延ロードするように変更 (起動の高速化)
·ファイルビューアを一部改修
　- 表示を若干高速化
　- ファイルビューのコンテキストメニューに 新規フォルダ作成、削除、リネーム を追加
　- タブの選択、表示モード、ソートモードを記憶するよう修正
　- サムネールファイルの破損を検出して自動的に再作成するよう修正
　- デスクトップを選択すると X:\Documents and Settings\～ を開いてしまう不具合を修正
·画像変形、色調整フィルタでCTRLを押しながら確定するとデッドロックしてしまう不具合を修正
·レイヤーセットを持つPSDファイルでレイヤー数が上限以下でも読み込めない不具合を修正

2008-01-27 12:40 β3版(a3)
·ファイルビューアでの保存でファイルが上書きでない場合に保存ボタンを押せない不具合を修正
·システムファイルダイアログでの保存でファイルの種類を変えても拡張子が変わらない不具合を修正

2008-01-27 12:00 β3版(a2)
·ファイルビューアでの保存と上書き保存ができない不具合を修正

2008-01-27 10:30 β3版(a)
·ファイルビューアの内部処理を刷新、ついでに機能強化 (readme.txtの514行目あたりを参照)
·[下のレイヤーでクリッピング]で[通過]モードのレイヤーセットの表示が異常になる不具合を修正
·.sai, .psd以外でも保存時にキャンバスのファイル名を保存時のファイル名に変更するよう修正
·JPEGの読み込みで水平方向に成分間引きされているファイルの読み込みでエラーとなる不具合を修正
·破損したJPEGファイルの読み込みで不正終了する事がある不具合を修正
·キャンバスの90度回転で解像度情報が失われる不具合を修正
·キャンバスの左右反転·90度回転でフローティングが消える不具合を修正
·用紙質感のテクスチャの成分値 0 の部分にゴミが表示される不具合を修正
·選択しているレイヤーの親にあたるレイヤーセットを削除すると不正終了する不具合を修正
·CPUにAMD K6を搭載するPCで画像変形が不正命令エラーになる不具合を修正
·その他細かい調整とバグフィックス

2008-01-12 05:00 β2版(f)
·[用紙質感]のブラシテクスチャへの反映結果をα9以前と同じになるよう修正
·タイトルバーのバージョン表記を[Beta xx]から[βxx]に変更
·メニューの[全て選択]が常に無効になっていたのを修正
·一部のJPEGファイルの読み込みで画像が壊れる不具合を修正
·*.sai形式以外での保存時に直前に*.saiで保存している場合は未保存の警告を出さないよう修正
·PSD保存時の作業メモリの消費量を削減
·キャンバスの読み込み／書き込み時の致命的エラーからの復帰処理を強化

2008-01-10 12:00 β2版(e)
·サイズ20以下のブラシの濃度が異常になっていたのを修正
·SAIで保存したPSDがPhotoshopで読み込めないのを修正
　(β2(d)で保存したPSDを(β2(e)で再度保存してください)
·一部の環境で試用期限切れを起こした後にセットアップを実行しても復帰できない不具合を修正
·カラーパレットで横スクロールできるようにすると表示が乱れる不具合を修正
·β2版(d)実行後に旧バージョンが起動できなくなる現象の修正処理を実装
·２値ペンが非表示のレイヤーに描画できてしまうのを修正

2008-01-09 16:00 β2版(d)
·一部の環境で試用期限切れを起こした後にセットアップを実行しても復帰できない不具合を修正
·*.sai形式フォーマットの仕様を一部変更
　(β2(d)で保存した*.saiファイルはそれ以前のバージョンでは読めなくなります)
·用紙質感を拡大もしくは縮小した場合に部分的に階調が反転する不具合を修正
·ブラシテクスチャで用紙質感を指定した時に階調が反転されていなかったのを修正
·カラーパレットのサイズ等を変更する補助設定を実装 (misc.ini参照)
·*.saiおよび*.psd形式の保存と読み込みを若干高速化
·ブラシ描画や塗り潰しのUNDO/REDOを若干高速化

2008-01-02 10:30 β2版(c2)
·β2(a)からWin9x系で起動しなくなっていたのを修正

2008-01-02 09:00 β2版(c)
·JPEG保存ダイアログの最小サイズを調整
·設定ファイル破損時のエラー処理の不具合を修正

2007-12-31 21:30 β2版(b)
·メニュー[キャンバス]→[キャンバスを閉じる]を実装
·*.sai形式以外でキャンバスを閉じる時の未保存確認を改良
·キャンバスを二重に開こうとした場合に再読み込みを行うか問い合わせるよう変更
·PSD上書きの警告にテキストを設定し忘れていたのを修正
·ビューの拡大縮小回転を若干高速化
·レイヤーの移動、画像変形に余分な再描画があったのを修正
·画像変形のエラー時の不要なエラーログ表示を抑制
·２値ペンの処理方式[簡易]の場合に特定サイズでブラシ形状が歪むのを修正
·UI·メニューの有効化／無効化処理の誤りを修正
·ユーザーグループ名が英語名以外のWindowsでフォルダのアクセス権設定ができないのを修正したつもり
·ファイル名が短い形式になってしまう不具合を修正
·その他細かい調整とバグフィックス


2007-12-27 10:00 β2版(a)
·試用期限リセット
·その他細かい調整

2007-12-23 02:00 β1版(c)
·ファイルシステムがFAT32のPCでSAIが起動しない不具合を修正
·キャンバスのサイズ変更で上下左右の延長量に負数を指定しても無視される不具合を修正
·ツールのショートカットキーが設定できない不具合を修正
·２値ペンでブラシサイズへの筆圧反映チェックボックスが動作しない不具合を修正

2007-12-21 23:50 β1版(b2)
·レイヤーセットを含む移動·リサイズ等でアクセス違反で落ちる不具合を修正

2007-12-21 23:00 β1版(b)
·PSDが読めない不具合を修正
·フォルダのアクセス権設定の手法を変更

2007-12-21 13:00 β1版
·βテストへ移行
·カラーパレットの項目サイズを若干大きく調整
·カラーパレットの編集操作を改良
·言語依存リソースの外部ファイルでの置き換えを実装
·全てのツールチップを実装
·メニューに[その他]を実装、[ショートカットキー設定]と[オプション]を移設
·[その他]メニューにヘルプ呼び出しを実装 (ヘルプの文書自体は現在作成中です)
·[その他]メニューにバージョン情報ダイアログを実装
·手のひらツール(ビューのスクロール)を実装
·回転ツール(ビューの回転)を実装
·スポイトツールを実装
·２値ペンに詳細設定を追加
·２値ペンのShift併用の直線描画でストロークの先頭同士が結ばれてしまう不具合を修正
·筆系パラメータの名称を変更 (下地色混合→混色、不透明度混合→水分量)
·筆、水彩筆に[不透明度の維持]のパラメータを追加
·用紙質感のテクスチャの濃淡が反転していたのを修正
·用紙質感を強くしても水彩境界が薄れないよう修正
·色調整フィルタでダイアログがキー入力フォーカスを失ってもEnterとEscで確定·中止できるよう修正
·全てのダイアログ位置の初期化機能を実装 (タスクボタンかタイトルバー上で右クリック)
·*.saiファイルの自動関連付け機能を追加
·起動及びセットアップまわりの処理を見直し
·ファイルのアクセス権設定を改良
·試用30日目を橙色で表示するよう変更
·試用期間終了後にすべてのファイルの読み書きを禁止するよう変更
·[オプション]ダイアログの[作業規模]を[作業環境]に名称変更
·[オプション]ダイアログの[作業環境]に作業フォルダの設定を追加
·[キャンバスの解像度変更]で解像度と解像度単位の変更ができない不具合を修正
·選択領域内の消去·カット時に見えないピクセルが残る不具合を修正
·レイヤーが空の場合に90度回転をすると一部描画できなくなる不具合を修正
·boot.iniで/3GBスイッチを指定していない場合に2GB以上のメモリを誤認識する不具合を修正
·ビューの拡大ボタンが効かなくなる現象に対処できたかも
·某イルカのカウントダウンを阻止
·その他細かい調整とバグフィックス


2007-11-27 14:00 α10版(b)
·２値ペンにもShift併用の直線描画を実装
·２値ペンで透明色選択時のマウスカーソルを修正
·ぼけ足が一番強いブラシの仕様を以前の戻した
·マーカーツールのブラシ濃度を調整
·フルセット版に含まれるブラシデータの初期値を修正

2007-11-26 17:30 α10版(a3)
·PSD保存でレイヤーマスクが壊れる不具合を修正

2007-11-26 13:00 α10版(a2)
·PSD保存でファイルが壊れる不具合を修正
·２値ペンで手ブレ補正が効かない不具合を修正
·２値ペンで５以下のブラシサイズが５として保存される不具合を修正

2007-11-26 10:00 α10版(a)
·２値ペンツール(アンチエイリアスなしのブラシ)を実装
·投げ縄ツールを実装
·画材効果[水彩境界]を実装 (readme.txt の409行目あたりを参照)
·筆ツールと水彩筆ツールの透明部分への描画特性を調整
·筆ツールと水彩筆ツールで[下地色混合]と[不透明度混合]が独立して反映されるように変更
·ぼけ足が一番強いブラシをさらに柔らかくぼける方へ調整
·ブラシ系ツールのUIのレイアウトを変更
·ブラシ系ツールの[詳細設定]に[輪郭の硬さ]のパラメータを追加 (アンチエイリアスのかかりの調節)
·一部ツールチップを実装
·[レイヤーの固着]の名称を[レイヤーの転写]に変更
·[色相·彩度]フィルタで稀に色が化ける不具合を修正
·JPEG処理内の色変換精度を若干向上
·グレースケールのJPEGファイルが正しく読めない不具合を修正
·何も描かれていないレイヤーを90度回転したときにメモリ不足エラーがでる不具合を修正
·その他細かい調整とバグフィックス

2007-10-26 09:30 α9版(a)
·自由変形の操作系を刷新 (操作は readme.txt の320行目あたりを参照)
·キャンバス·レイヤーの上下左右反転·90度回転を実装
·曲線·折線ツールの確定後にUNDOした際に再び制御点追加モードに戻るよう修正
·[線画をレイヤー化]の名称を[輝度を透明度に変換]に変更
·補助設定ファイル(misc.ini)を認識しない不具合を修正
·画像変形で画像が欠けることがある不具合を修正
·サブメニューをEnterで開いた場合にそのサブメニューが画面に残り続ける不具合を修正
·その他細かい調整とバグフィックス

2007-10-08 18:00 α8版(b)
·JPEGおよびPNGファイルの保存·読み込みを実装
·ファイルビューアにサムネール更新機能を実装 (ファイルウィンドウで右クリック)
·補助設定ファイルの機能を実装 (misc.ini)
·タブレットの制御方法をα7版(a2)以前の方式に変更 (ワコムドライバ 6.0xへの正式対応を取り止め)
·領域選択、バケツで全レイヤー対象の色差選択ができない不具合を修正
·稀にアクセス違反が発生する不具合を修正
·スクラッチパッドでブラシ系ツール以外でもスポイトができるように修正
·キャンバスの表示倍率が400%以上の時に選択領域の表示がおかしくなる不具合を修正
·α8版(a)でレイヤーの不透明度を無視するスポイトを実装したが書き忘れてた (オプションダイアログで選択)
·その他細かい調整とバグフィックス

2007-09-25 08:30 α8版(a)
·レイヤー合成の内部処理を刷新
　- 通過モードのレイヤーセットでレイヤーマスクが使えるよう修正
　　(副作用として通過モードのレイヤーセットはクリッピンググループに含められないようになった)
　- レイヤーセットでのレイヤーマスク処理の最適化
　- スポイトにレイヤーマスクが反映されない不具合を修正
·非アクティブのビューにスポイトを使用できるよう修正
·タブレットの最低筆圧感度を調整
·その他細かい調整とバグフィックス

2007-09-04 07:30 α7版(b)
·手ブレ補正の改良
　- 補正 0 ～ 15 を旧版と同等の処理に戻した
　- 新たに強力な補正 S-1 ～ S-7 を新設
·手ブレ補正有効時にSPACE+ドラッグ等の後に意図しないブラシ描画がされる不具合を修正
·WACOMタブレットドライバ Ver 6.04 のディスプレイ切り替えに対応
　(それに伴いメニューやドロップリストのキャンセルと同時に他のUIを操作することができなくなった)
·WACOMタブレットドライバのバグによりタブレットが使えなくなる現象に対処
·ブラシ系ツールのストロークのイリヌキを改良
·水彩筆でブラシエッジのぼかし制御がバッファしたストロークの筆圧に同期していなかったのを修正
·キャンバス保存のエラー処理の抜かりを修正

2007-08-27 20:30 α7版(a2)
·手ブレ補正を一旦デチューン (後日再調整の予定)
　- 補正０の時に曲線補間をしない
　- 遅いストロークの場合の補正ブーストを除去
·キャンバスを保存できない場合がある不具合の修正

2007-08-25 09:30 α7版(a)
·試用期限リセット版
·手ブレ補正の改良
　- 解像度の低いタブレットでのストロークのガタつきを軽減
　- ストロークの曲線補間を実装
·キャンバス保存を直接書き込むのではなく一時ファイルへの保存に成功してからリネームするように変更
·マルチディスプレイ環境でドロップダウンメニューが表示されない不具合を修正
·最小化状態で終了するとカスタムツールトレイが隠されてしまう不具合を修正
·その他細かい調整とバグフィックス

2007-07-25 21:30 α6版(c)
·試用期限リセット版
·細かい調整とバグフィックス

2007-06-24 21:30 α6版(b)
·試用期限リセット版
·毛状ブラシ(丸筆·平筆など)の処理を変更 (マーカーでの不具合対策、描画品質向上、但し描画速度は低下)
·試用期限まわりのエラー対策を改良
·カラーサークルの操作エリアの判定を改良
·ツール切り替え等で描画色が微妙に変化する不具合を修正
·レイヤー結合でレイヤー名が上層レイヤーのものになってしまう不具合を修正
·レイヤーマスクを持つPSDが正常に読み込めない不具合を修正
·その他細かい調整とバグフィックス

2007-06-14 16:30 α6版(a4)
·巨大キャンバスでブラシストローク後にブラシカーソルが一瞬動かなくなる現象を修正
·レイヤーマスク適用したレイヤーへの編集でアクセス違反エラーが発生する不具合を修正
·レイヤー結合で結合後のレイヤーの情報が上層レイヤーのものになってしまう不具合を修正
·特定の色で塗り潰された部分がヒストリに反映されない不具合を修正。

2007-06-12 13:30 α6版(a3)
·レイヤーへのレイヤーマスクの適用を実装 (レイヤーパレット上段のボタン)
·レイヤーとレイヤーマスクの個別結合を実装 (レイヤーパレット上段のボタン)
·PSDからのレイヤーマスクの読み込み位置がずれる不具合を修正
·レイヤー塗り潰しで塗り潰し位置がずれる不具合を修正
·その他細かい調整とバグフィックス

2007-06-11 14:15 α6版(a2)
·レイヤー不透明度成分からの選択領域作成(レイヤーサムネールクリック)に機能追加
　- CTRL+SHIFT+クリックで不透明部分を選択領域に追加
　- CTRL+ALT+クリックで不透明部分を選択領域から除外
·レイヤー塗り潰し(CTRL+F)の処理速度が遅くなっていたのを修正
·レイヤーマスクを作成直後にブラシ描画等が表示に反映されない不具合を修正
·PSDでの保存時、空レイヤーがあるとPSD内のレイヤー位置が不正になる不具合を修正
·[選択領域を１ピクセル膨張]が使用できない不具合を修正
·ペン入れレイヤーで領域選択ツールを使用するとアクセス違反が発生する不具合を修正
·レイヤーマスクを持つレイヤーを下に置いて結合した際にレイヤーマスクが残る不具合を修正
·バケツツールでALT+クリックをスポイトに変更
·色調整フィルタでトラックバーの中心マークが表示されない不具合を修正
·スクラッチパッドに描画できない不具合を修正

2007-06-10 17:00 α6版(a)
·バケツツールを実装
·レイヤーマスクを実装
·メニュー[選択領域]→[選択領域を１ピクセル膨張]を実装
·レイヤーの不透明度からの選択領域作成を実装 (サムネール上でCTRL+クリック)
·領域選択の挙動を改良
　- 実線上に選択が流れ込まないよう修正 ([線で囲まれた透明部分 (詳細)]のみ)
　- [線で囲まれた透明部分 (詳細／曖昧)]モードで[透明とみなす範囲]を指定できるよう修正
　- 領域抽出元が[指定レイヤー]の時、レイヤーが無指定なら空レイヤーとみなして動作するよう修正
·キャンバスの表示処理の高速化
·ウィンドウのサイズ変更を高速化
·レイヤーウィンドウのサイズ変更を実装 (水平のみ)
·ファイルダイアログでの保存時、表示されるファイルの種類とキャンバスの拡張子が同期するよう修正
·選択領域の移動後にアクセス例外エラーが出る不具合を修正
·起動時にキー入力フォーカスが設定されない不具合を修正
·その他細かい調整とバグフィックス

2007-05-25 10:30 α5版(f2)
·マーカーで描画できなくなっていたのを修正
·解像度変更で解像度と解像度単位の変更ができなくなっていたのを修正
·キャンバスの切り替え時に[キャンバスを保存]が有効にならない不具合を修正
·マルチビューの切り替え時に作業メモリ割り当ての内部ステートがおかしくなる不具合を修正

2007-05-24 21:30 α5版(f)
·試用期限リセット版
·領域選択に任意レイヤーからの領域抽出を実装
·領域選択にレイヤーセットからの領域抽出を実装
·画像変形をキャンセルした場合にエラーログウィンドウが表示される不具合を修正
·[キャンバスを保存]した場合に更新マークがクリアされない不具合を修正
·選択領域の切り取り時にピクセルが存在しない場合にエラー表示または不正終了する不具合を修正
·マーカーツールで筆圧に対する濃度変化が荒い問題を修正
·レイヤーセットの合成モードが[通過]の場合に不透明度を無視するよう修正
·その他細かい調整とバグフィックス

2007-05-15 13:00 α5版(e3)
·キャンバス切り替え時にメモリ不足エラーを発生する検証用コードが残っていたのを削除
·キャンバス新規作成ダイアログで幅·高さに５文字以上入力できない不具合を修正

2007-05-14 22:00 α5版(e2)
·キャンバスの解像度変更のUNDO/REDO時にストロークが一部しか表示されない不具合を修正

2007-05-14 20:00 α5版(e)
·キャンバスの表示処理の高速化
·エラー処理を強化
·例外エラーのレポート機能を強化 (エラーログファイル名を errlog.txt に変更しました)
·回復できないエラーが発生した場合のキャンバスのバックアップ機能を実装
·レイヤー結合·固着時に下層レイヤーの不透明度が処理前のままになっているのを修正
·レイヤーの表示ON/OFFでナビゲータの更新が途中で止まってしまう不具合を修正
·修正液ツールで一部を消したストロークを二重描画してしまう不具合を修正
·解像度変更でフローティングが消えてしまう不具合を修正
·解像度変更後に選択領域を作成すると不正終了する不具合を修正
·クリッピンググループをON/OFFした際に表示が崩れることがある不具合を修正
·ダイアログ表示で不正終了する事がある不具合を修正
·その他細かい調整とバグフィックス

2007-05-05 03:00 α5版(d2)
·フローティングの移動＆確定後、以降のレイヤー移動で表示が崩れる不具合を修正
·レイヤーの表示ON/OFFでナビゲータに反映されない不具合を修正
　(スポイトで非表示のレイヤーの色を拾ってしまう不具合もこれに関連)
·ビューの再描画で一部表示が残る不具合を修正 (したつもり)
　(ビューのデバイスコンテキストの排他制御を修正)

2007-04-26 04:00 α5版(d)
·ステータスバーを非表示にしている場合に画像変形や解像度変更でフリーズする不具合を修正
·その他細かい調整とバグフィックス

2007-04-24 19:30 α5版(c)
·キャンバスの表示処理の高速化
·修正液ツールで消していないストロークの表示が消えてしまう不具合を修正
·画像変形で凹形状やねじれ形状で確定できてしまう不具合を修正
·選択領域を表示／非表示できない不具合を修正
·画像変形やフィルタからの復帰時に一部のUIが無効化されたままになる不具合を修正
·画像の切り取り時に表示が更新されないことがある不具合を修正

2007-04-23 21:00 α5版(b)
·試用期限リセット版
·内部処理を刷新
　- 編集処理の内部アーキテクチャを全面刷新
　- キャンバスの表示処理の高速化
　- エラー時の復帰処理を強化
　- ヒストリのメモリ消費を削減
·曲線·折線ツールを改良
　- ストロークのプロット中にビュー操作、制御点編集、UNDO/REDOが行えるよう修正
　- Enter, Esc, 右クリックでストロークのプロットを確定できるよう修正
·その他細かい調整とバグフィックス

2007-04-06 21:00 α5版(a)
·試用期限リセットのみ版

2007-03-13 11:30 α4版(b)
·カーブドラッグでのストロークマクロ変形の復活
·鋭角点の設定／解除を実装
·曲線ツールと折線ツールを実装 (クリックで制御点追加、ダブルクリックで確定)
·制御点編集ツールのデフォルト機能をラジオボタンで選択できるよう修正
·制御点編集ツールの[制御点選択／解除]に矩形選択機能を追加 (ストローク上以外でドラッグ)
·選択された制御点があるとき選択されていない制御点を操作しても同時操作にならないよう変更
·制御点移動とマクロ変形でカーブの選択を無視するよう変更
·選択領域で囲まれた制御点を操作対象にしないよう変更
·メニューに選択領域で囲まれた制御点を選択する機能を追加
·メニューに制御点選択の解除を追加
·[キャンバスの解像度変更]でペン入れレイヤーが解像度変更されない不具合を修正

2007-03-06 15:30 α4版(a)
·ペン入れレイヤー改良
　- 制御点編集、ストローク線種変更、ストローク色変更、筆圧変更ツールをブラシトレイに移動
　- 制御点選択機能を実装
　- 選択した複数の制御点の同時操作を実装
　- ストロークの移動·複製を実装
·Win98で GlobalMemoryStatusEx のリンクエラーが発生してSAIが起動しない問題を修正
·その他細かい調整とバグフィックス

2007-02-03 19:00 α3版(f)
·試用期限リセット版
·2GB以上のメモリを認識するよう修正 (32bitWinは3GBまで、64bitWinは4GBまで認識)
·ファイルダイアログでファイル拡張子とファイルの種類が連動するよう修正
·ペン入れレイヤーでカットorコピーを行った場合にハングアップする不具合を修正

2007-01-03 19:30 α3版(e)
·試用期限リセット版
·正式にクリップボードに対応、但し透明度付きのコピー＆ペーストは非対応(Windowsの仕様)
·キャンバス間のレイヤーコピーを実装 (レイヤーパレットからビューウィンドウにドラッグ)
·保存したキャンバスが[最近使用したファイル]に追加されるよう修正
·選択領域への色調整フィルタ適用が動作しなくなっていたのを修正
·ペン入れレイヤーの拡大でブラシサイズが500を超えた場合に不正終了する不具合を修正

2006-12-10 09:00 α3版(d)
·画像変形でクリッピング処理のミスで不正終了する不具合を修正
·画像の切り取りで画像がブロック状に欠ける不具合を修正
·特定条件下の画像のコピー／切り取りで有効画素が無い場合にヒストリ処理が異常になる不具合を修正
·右クリックメニューでキー操作が効かない不具合を修正

2006-12-07 18:00 α3版(c)
·画像変形で変形結果が縦長になる場合の特定条件下で不正終了する不具合を修正
·Windowsファイルダイアログで拡張子を省略した時に[ファイルの種類]が反映されるよう修正

2006-12-05 17:40 α3版(b)
·画像変形で異常に時間がかかる不具合を修正
·[最近使ったファイル]で全角文字ファイル名が正しく記録されない不具合を修正

2006-12-03 20:10 α3版(a)
·試用期限リセット版
·画像変形ツールを改良
　- 高速化
　- キャンバス外のピクセルを切り落とさないよう修正 (キャンバスの解像度変更にも適用)
　- 移動グループやレイヤーセットの変形に対応
　- 暫定的にペン入れレイヤーの変形に対応 (通常レイヤーとの移動グループ化、レイヤーセット内限定)
　- 遠近感の指定を追加
·ナビゲータ、クイックバー、ビュー選択バー、ステータスバーの表示／非表示を実装
·Windowsファイルダイアログかファイルビューアを選択できるように修正
·色相·彩度フィルタ、コントラストフィルタにプレビューのON/OFFを追加
·[最近使ったファイル]の機能を追加
·進捗バーのエラーにより突然ファイルが開けなくなる／保存できなくなる不具合を修正
·レイヤーパラメータを操作した際に稀に不正終了する不具合を修正
·ペン入れレイヤーで筆圧無効になっているストロークへの筆圧変更が誤動作する不具合を修正
·その他細かい調整とバグフィックス

2006-11-05 20:20 α2版(e)
·レイヤー及びレイヤーセットの結合で不正終了する不具合を修正
·ペン入れレイヤーで制御点の間隔が極端に密なストロークが修正液ツールで消去できない不具合を修正
·ペン入れレイヤーで制御点の間隔が極端に密なストロークがマクロ変形で異常になる不具合を修正
·ショートカットキーの設定でレイヤー結合とレイヤー固着が逆になっていたのを修正

2006-11-03 02:00 α2版(d)
·レイヤー名の変更ができなくなっていたのを修正
·タスクバーが上端か左端にある場合にファイルビューアの位置がずれていく不具合を修正
·ブラシサイズ変更のショートカットが逆になっていたのを修正

2006-11-02 22:30 α2版(c)
·試用期限更新版
·色調整フィルタの内部処理を改良
·ストロークのヌキで引っ掛かりが発生する不具合を修正
·Win98で起動しない不具合を修正
·その他細かい調整とバグフィックス

2006-10-16 17:00 α2版(b)
·ショートカットキー設定でOKした時にメニューがキャンバス無効時の状態に戻る不具合を修正
·選択領域のショートカットが機能しなくなっていたのを修正
·デフォルトのキー割り当ての間違いを修正
·ブラシメニューで削除を選ぶと「キャンバスを開く」が同時に表示される不具合を修正

2006-10-15 21:00 α2版(a)
·ショートカットキーのカスタマイズ機能を実装
·ファイルビューアでの保存時にファイルの種類を変更してもファイル名が消えないよう修正
·色相·彩度補正、コントラスト補正で不正終了する不具合を修正

2006-10-13 10:00 α1版(a)
·ファイルビューアを正式実装
·複数キャンバスのオープンを実装
·マルチビューを実装
·[色相·彩度]フィルタを実装
·[明るさ·コントラスト]フィルタを実装
·ビューの表示処理まわりを大幅改良
·ブラシストロークの高負荷時の表示処理を改良
·最大キャンバスサイズの見直し (10000x10000→8192x8192)
·ヒストリ処理のディスクキャッシュサイズを調整
·レイヤーパネルの操作性を改良
·ショートカットキー割り当てを一部見直し
·その他細かい調整とバグフィックス

2006-10-02 20:30 29版(a)
·とりあえず試用期限更新版
·コアモジュールテストの最終版

2006-09-02 09:00 28版(a)
·ファイルビューアの動作試験ダイアログを実装
·フォルダの統合処理の後でキャンバスサイズ変更を行った時にヒストリ処理が異常になる不具合を修正
·ウィンドウの無効化処理の不具合を修正
·その他細かい調整とバグフィックス

2006-08-02 08:00 27版(a)
·ワコムタブレットドライバのバグ対策を復活
·画像変形でカーソルキーで移動させた直後に確定すると簡易表示のままで確定される不具合を修正
·キャンバス解像度変更時にナビゲータに黒い矩形が表示される不具合を修正
·ナビゲータに胡麻状のゴミが表示される不具合を修正
·通常のブラシ系ツールと選択ペンツールで透明色の選択が同期するよう修正
·その他細かい調整とバグフィックス

2006-07-02 22:00 26版(a)
·水彩筆に不透明ぼかし動作を実装 ([不透明度混合]を 0 にした時に発動)
·不透明度保護されたレイヤーで水彩筆のぼかしが動作するよう改良
·レイヤーセットまわりの操作系を改良
·カラー二値化合成モードの処理を改良
·ドラッグ時の自動スクロールを実装 (レイヤーパレット、ブラシパレット、移動系ツール等)
·レイヤー数が 180 を超えたあたりで表示されないレイヤーが発生する不具合を修正
·タブレット使用時にビューの回転操作が詰まったようになる不具合を修正
·キャンバスサイズが小さい場合にナビゲータにゴミが出る不具合を修正
·一部処理のメモリ消費を改善 (レイヤー結合、PSDファイルロード等)
·不透明度保護時に不透明度が正確に保護されない不具合を修正
·LG社製LCDタブレット L1530TM が WinTab1.1 の仕様を満たしていない問題に対応
·その他細かい調整とバグフィックス

2006-06-07 04:30 25版(c)
·カラー二値化合成モードでレイヤー不透明度が二値化閾値になるよう修正
·カラー二値化合成モードの色計算処理を改良
·解像度変更時にナビゲータが暴走する不具合を修正
·PSDロード時にメモリを過剰に消費する不具合を修正
·カラーミキサーでクリックを放しても色を拾いつづける不具合を修正
·ビューの回転表示中、キャンバスの端の選択領域の表示がおかしくなる不具合を修正
·メモリー負荷率が赤帯表示になる閾値をメモリ確保量からメモリ使用量に変更 (Win9xは除く)

2006-06-05 11:30 25版(b)
·レイヤーセットを実装
·レイヤーの表面質感パラメータを実装
·ナビゲータを実装
·ペン入れレイヤー同士やペン入れレイヤーと通常レイヤーとの結合を実装
·ペン入れレイヤーの消去を実装
·合成モードにオーバーレイとカラー二値化を実装
·タブレット処理を若干修正
·その他細かい調整とバグフィックス

2006-06-02 00:00 25版(a)
·タブレットドライバのバグ対策

2006-05-02 00:30 24版(a)
·レイヤー不透明度保護時にブラシサイズに対して下地の不透明画素が少ない個所を筆とマーカーで上塗りできない不具合を修正
·キャンバスを作成していない状態でスクラッチパッドに水彩筆ツールを使うと不正終了する不具合を修正
·スクリーンの水平方向ピクセル数が８の倍数で無い場合に不正終了する不具合を修正
·PSD保存時の上書き警告のダイアログの表示が乱れる不具合を修正

2006-04-01 18:30 23版(a3)
·水彩筆のバッファオーバーランがまだ残っていたのを修正
·ペン入れレイヤーがVC++6.0SP4のバグに引っ掛かっていたのを修正
·スタイラスのサイドスイッチとテールスイッチのショートカットキー割り当ての不具合を修正

2006-04-01 10:00 23版(a2)
·水彩筆のブラシサイズが大きい時に内部処理がバッファオーバーランしていたのを修正

2006-04-01 5:00 23版(a)
·水彩筆ツールにぼかし効果を追加
·タブレット制御を刷新
·メモリ管理を改良 (巨大キャンバスへの対応強化)
·オプションに作業規模の設定を追加 (編集可能なキャンバスの上限設定)
·オプションにタブレットのボタン設定などを追加
·選択領域にピクセルが無い場合にフローティング化·コピー·カットをしないよう変更
·RGBスライダやスポイト等の使用時、カラーサークル、HSVスライダを色相·彩度をできるだけ保持するよう変更
·ALTと同時に何かしらのキーを押した時、キーを先に放すとキー開放が認識されない不具合を修正
·マルチディスプレイ対応の不具合を修正
·その他細かい調整とバグフィックス

2006-03-02 22版(a2)
·22a+の修正で記号系キーが効かなくなっていたのを修正

2006-03-02 22版(a+)
·キーとスタイラス(orマウス)の押下状態のインジケータを実装
·CTRL+Dでの選択領域解除が効かなくなっていたのを修正
·[半角/全角]、[カタカナ/ひらがな]を押すと以降のショートカットキー入力を受け付けなくなる不具合を修正

2006-03-01 22版(a)
·水彩筆ツールの描画アルゴリズムを刷新 (旧水彩筆ツールは筆ツールに統合)
·ペン入れレイヤーの制御点表示を刷新
·キャンバス外で修正液ツールを使用したときに不正終了する不具合を修正
·ストローク筆圧調整ツールでキャンバス表示を左右反転したら筆圧増減操作も反転する不具合を修正
·ペン入れレイヤーに対して通常レイヤー用ショートカットキーが有効になっていたのを抑制
·試用期間処理の細部の見直し
·その他細かい調整とバグフィックス

2006-02-14 21版(a)
·ペン入れレイヤーの改良 (第一弾)
　- ペン入れツールの曲線化処理を改良
　- ストロークのマクロ変形を実装 (SHIFT+ドラッグでマクロ変形、SHIFT+ALT+制御点クリックでマクロ変形制御点ON/OFF)
　- 修正液ツールを実装
　- 筆圧制御ツールを刷新
·シフトキー等の押下開放を取りこぼす不具合の修正
·オプションにツールシフトの細かい設定を追加
·SAI/PSD保存時にフローティング化された部分が消失する不具合を修正
·CTRL+SHIFT+クリックのレイヤー選択の仕様を調整
·その他細かい調整とバグフィックス

2006-01-24 20版(c5)
·ズームツールが効かなくなっていたのを修正

2006-01-24 20版(c4)
·ストローク中にマウスホイールを使用すると不正終了する不具合を修正

2006-01-23 20版(c++)
·20版cの「ブラシの描画品質を変えたとき[下地混色]の効果に差が出ていたのを抑制」を廃止

2006-01-23 20版(c+)
·マウスホイールを使用したときにショートカットキーが効かなくなる不具合を修正

2006-01-22 20版(c)
·ツール選択キー押しっぱなしによるツールの一時切り替え(「ツールシフト」と呼ぶことにします)を正式実装
·オプションのダイアログを仮実装
·オプションでタブレットの最低筆圧の設定を実装 (FAVO等使用時のクリック不具合対策)
·オプションでツールシフトと判定する時間の設定を実装
·オプションでCTRL併用ショートカット(CTRL+Z等)後にレイヤー移動をロックする時間の設定を実装
·大径ブラシの描画速度を調整
·ブラシの描画品質を変えたとき[下地混色]の効果に差が出ていたのを抑制
·CTRL併用ショートカットでリピートがかかったとき、CTRLを先に放したら単独キーの操作になっていたのを抑制
·CTRL+ALTでのブラシサイズ変更時、ブラシ円がキャンバスに残ってしまうことがある不具合を修正

2006-01-20 20版(b)
·ズームツールを仮実装 (SPC+CTRL、SPC+CTRL+ALTの操作をカスタマイズできるようにする為)
·HSV/HSLスライダを実装
·ブラシ円のON/OFF機能を実装
·ブラシサイズスライダの操作中にブラシ円が表示されるよう修正
·レイヤー結合、レイヤー固着、レイヤー消去のショートカットキーを設定
·.sai形式以外での保存時に編集ありのフラグ(ファイル名横の(*))を落とさないよう修正
·ツールのショートカットキーのシフト操作での描画中にキーを離しても元のツールに戻るよう修正
·スタイラスのサイドスイッチでツールショートカットキーのシフト操作を使えるよう修正
·カスタムブラシ作成時にショートカットキーを設定しないように変更
·ブラシ系ツールでSHIFT併用時の直線描画が正しく動作しなくなっていた不具合を修正
·ALTを押しっ放しでメニューを操作した時におかしな動作をする不具合を修正
·試しにWinTabの座標取得処理を19版と同等処理に戻した (SII imagePAD pro不具合検証の為)

2006-01-15 20版(a)
·水彩筆に不透明度の混合量を指定する[水張り]のパラメータを新設。
·[筆圧感度]を[筆圧硬_軟]の表記に変更。値を[硬]寄りに設定した時にヌキを出し易いよう調整。
·ストロークのヌキが段ができるように急に細くなる不具合を修正。同時にヌキの精度も再調整。
·試験的にGUIスレッドの優先順位を１つ高く変更 (画像変形時のガイド操作がスムーズに動くように)
·19版(d)での毛状のブラシの調整で毛が細い場合に描画が遅くなってたのを調整前と同程度の速度に再調整
·タイトルバーのテキストをもう少し読みやすいようにバーの色を調整
·substコマンドで仮想ドライブを設定している場合に初回セットアップが走らない不具合を修正
·その他細かい調整とバグフィックス

2006-01-07 19版(d+)
·SPACE+CTRL+左ドラッグのドラッグ判定を緩く変更
·レイヤーナッジで左右反転表示の時に方向キーと左右逆に移動してしまう不具合を修正
·CTRL+左ドラッグでボタン開放時に必ずレイヤー移動してしまう不具合を修正

2006-01-03 19版(d)
·レイヤーの移動グループ化を実装
·レイヤーのナッジ(CTRL+カーソルキーでのレイヤー移動)を実装
·SPACE+CTRL+左ドラッグでの矩形ズームを実装
·CTRL+左クリックによるレイヤー選択で「下のレイヤーでクリッピング」された部分を透過するよう変更
·選択レイヤーが非表示になっている場合の諸々の操作性を改良
·毛状のブラシの品質を調整 (毛状が細い場合のジャギー軽減等)
·マウスによるブラシ系ツールのストロークのガタつきを若干改善
·筆系ツールで描画がキャンバス外へ出る時に不正終了する事がある不具合を修正
·透明度保護されたレイヤーの透明部分に描画した後に非保護レイヤーに描画するとゴミが出る不具合を修正
·その他細かい調整とバグフィックス

2005-12-24 19版(c+)
·19版bで入れた水彩筆のイリに描画色が強く混ざる仕様を廃止
·水彩筆で透明色を使ったときにストロークのイリで下地色が出る不具合を修正
·筆系ツールで不透明な部分に描画した時に透明が混ざったり色が若干明るくなったりする不具合を修正
·筆系ツールで不透明度保護ができない不具合を修正
·筆系ツールで描画がキャンバス外にはみ出した時に不正終了する事がある不具合を修正

2005-12-19 19版(c)
·小径ブラシの品質を若干向上
·ペン入れツールでサイズの大きいブラシの描画が汚くなっていたのを修正
·筆系ツールで透明色を使ったときにストロークのイリで下地色が出る不具合を修正
·ブラシサイズ変更で変更した値がツールパネルに反映されない不具合を修正
·ブラシサイズ変更のスライダ操作でスライダ外でドラッグを離すとブラシサイズが1.0になる不具合を修正

2005-12-19 19版(b+)
·水彩筆で下地混色が100の時に飛び飛びで描画色が混ざる不具合を修正

2005-12-19 19版(b)
·水彩筆ツールの通常描画モードの発色を若干改善
·筆系ツールの描画モード、ビビッド·ディープ·乗算の動作を刷新
　　ビビッド ... イヤになるほどビビッドに調整
　　ディープ ... 乗算に近いが真っ黒になりにくい発色に調整
　　乗算     ... 色の濁りが緩やかになるよう調整
·CTRL+ALT+左ドラッグによるブラシサイズ変更をドラッグ開始位置～終了位置が直径となるよう変更
　(右ドラッグでの精密操作は廃止。ごめんなさい)
·CTRL+ALT押下時にブラシサイズスライダがポップアップ表示されるよう変更
·CTRL+左クリックでのレイヤー選択をON/OFFできるよう変更
·CTRL+SHIFT+左クリックにレイヤー選択(＆移動)を割り当て
·"-"キーでの透明色切り替え時にマウスカーソルがすぐに反応しない不具合を修正
·ペン入れツールの曲線パラメータの誤りを修正
·フローティングレイヤーがある場合にごく稀に不正終了する不具合を修正
·すっかり忘れてましたが19版(a)でショートカット押しっぱなしでのツール一時切り替えを試験実装

2005-12-15 19版(a)
·サイズ1.0前後のブラシの濃度を調整
·ペン入れレイヤーの表示を高速化
·ブラシ系ツールにCTRL+ALT+ドラッグでのブラシサイズ変更を実装
·CTRL+クリックでのレイヤー選択を実装。CTRL+左クリックだとそのままドラッグ可
·矩形選択ツールや選択領域·レイヤー移動でドラッグ開始距離の指定を実装
·ブラシ系ツール以外のショートカットキー変更を実装(ツールのアイコン上でダブルクリック)
·自動選択ツールでキャンバス端にアンチエイリアスがかかる不具合を修正
·PSDファイル保存でカレントレイヤーの処理ミスにより不正終了する不具合を修正
·タブレットでの操作時に画像変形が極端に重くなる場合がある不具合を修正
·ペン入れレイヤー選択時にレイヤー表示のON/OFFを行うと制御点が常に表示される不具合を修正
·その他細かい調整とバグフィックス

2005-12-06 18版(c)
·キャンバスのサイズ関連で解像度まわりの機能を実装
　(但しSAIは水平垂直解像度が共通であるため、PSD等の読み込み時は常に水平解像度のみ使用します)
·キャンバスサイズのプリセットを設定ファイル(presetcvsize.conf)で編集できるように変更
·描画色の２色保持を実装、それに伴い描画色の表示を変更
·ブラシサイズ1.0、1.2の節状のジャギーを軽減
·エッジの立ったブラシのアンチエイリアスを若干強めに調整
·矩形選択ツールで右クリックがスポイトになるよう変更
·透明色で塗り潰しを行った場合に色が異常になる不具合を修正
·初回起動時、他のPCで作成した編集データがあるといきなり試用期間終了になる不具合を修正
·ウィンドウに隠れた部分がゴミとして描画される問題を修正
·ドロップリスト作成時に選択項目が見えるよう自動的にスクロールするよう修正
　(作成後はスクロール位置を保持するよう修正)
·その他細かい調整とバグフィックス

2005-11-20 18版(b)
·ペン入れレイヤーでサイズ15以上のストロークの筆圧を100%以上した場合に異常動作する不具合を修正
·ウィンドウを最大化した時の一連の不具合を修正
·キャンバスのトリムを実装 (メニュー[キャンバス]→[選択領域の大きさで切り抜く])
·フローティング化しなくても選択領域を画像変形できるよう修正
·一部のUIをマウスホイールでスクロールできるよう修正
·マウスホイールによるキャンバスの拡大縮小を実装 (とりあえず)
·外部プログラムからのスクロール操作で画面が壊れないようにしたつもり
·その他細かい調整とバグフィックス

2005-11-16 18版(a+)
·PSD保存でエラーとなる不具合を修正
·キャンバスの解像度変更で不正終了する不具合を修正

2005-11-15 18版(a)
·ブラシエンジンをチューニング (小径ブラシの描画品質の向上等々)
·ペン入れレイヤーのスクロールを実装(ストローク以外の部分をCTRL+ドラッグ)
·キャンバスの解像度変更を実装
·変形ツールを矩形選択ツールに統合
·画像変形時にSHIFT+ドラッグで縦横比を固定するよう修正 (とりあえず)
·画像変形時の鮮鋭化強度を自動調整するよう修正
·編集データファイルの内部フォーマットを変更
·14版以前の編集データが読めなくなっていたのを修正
·フレームウィンドウの処理改良 (ゴミが描画される不具合に対策したつもり)
·その他細かい調整とバグフィックス

2005-10-16 17版(a)
·一部のマルチプロセッサ環境で巨大キャンバスの縮小表示中にストローク詰まりが発生する不具合を修正
·画像変形でキャンバスの外側への移動·拡大等を行った場合に不正終了する不具合を修正
·PSD読み込み時に幅と高さが 0 のレイヤーが存在すると失敗する不具合を修正
·画面解像度の変更時にキャンバス表示が壊れる不具合を修正
·マルチディスプレイに対応
·SAIが二重起動してしまう場合がある不具合を修正
·その他細かい調整とバグフィックス

2005-10-08 16版(b)
·タブレットでの操作中にショートカットキーで領域選択ツールを選ぶとタブレット入力を受け付け
　なくなる不具合を修正
·キャンバスのリサイズでレイヤーのクリッピングがおかしくなる不具合を修正
·キャンバスロード時に選択レイヤーに応じたツールセットの切り替えが上手くいかない不具合を修正
·スクラッチパッドのレイヤーが表示されない不具合を修正

2005-10-03 16版(a)
·レイヤー／フローティングの拡大·縮小·回転·自由変形を実装 (画像変形ツール)
·その他細かい調整とバグ修正

2005-09-04 15版(b+) <一部の方への不具合対策版>
·新版への更新後にそれ以前の版を使用すると試用期間が巻き戻る場合がある不具合を修正。

2005-09-04 15版(b)
·キャンバスのサイズ変更でペン入れレイヤーがずれる不具合を修正
·レイヤー不透明度のUNDO/REDOが正しく行われない不具合を修正
·Ctrl+Z/Ctrl+Yを押し続けてUNDO/REDOを連続で行った場合に画面更新がスキップされるのを抑制

2005-09-04 15版(a)
·キャンバスのサイズ変更を実装
·ブラシツールトレイとカラーパレットの操作性を改善
·13版(f)で行った手ぶれ補正の仕様を元に戻し、代わりにブラシツールの設定で手ぶれ補正と
　筆圧ぶれ補正を別々に設定できるよう変更
·初回セットアップで階層の深いフォルダが処理された場合に不正終了する不具合を修正
·マウスカーソルの形状変更の仕様を整理
·その他細かい調整とバグ修正

2005-08-16 14版(e)
·大きいサイズのPSDの読み書きが失敗する不具合を修正
·加算レイヤーの効果の強さを元の仕様に修正 (効果200%→100%)
·PSD形式における加算レイヤーを「覆い焼き(リニア)」として扱うよう修正 (色味は若干異なる)
·[下のレイヤーでクリッピング]使用時、UNDO/REDO等で表示が更新されない場合がある不具合を修正
·非表示のレイヤーに対する編集操作を行えないよう修正
·乗算レイヤーからカットした部分が消える等、フローティングの表示の不具合を修正
·キャンバス破棄時にキャンバスに関連するUIの表示をリセットするよう修正
·SAIが既に起動しているときでも画像ファイルをダブルクリックor送るで開けるよう修正
·ドラッグ＆ドロップで画像ファイルを開けるよう修正
·メモリ使用量に関する表示を追加
·14a,14bの不具合で試用期間情報が壊れて試用期間終了となった場合に、次回起動時に強制復帰
　するよう修正 (セットアップ処理が実行される)
·その他細かい調整とバグ修正

2005-08-13 14版(d)
·色関連の設定が保存されない場合がある不具合を修正
·レイヤーサムネールの更新中にキャンバスが破棄されると不正終了する場合がある不具合を修正
·ごく一部の*.sai、*.psdの読み込みに失敗する不具合を修正
·PSD読み書きの不正終了問題の原因切り分けの為、ファイル名を直接指定して保存·読み込みする
　メニューを追加

2005-08-06 14版(c)
·PSD形式のロードでキャンバスからはみ出したレイヤーが含まれる場合に不正終了する不具合を修正
·PSD形式のロードで統合イメージのチャンネル数が４以上の場合にロードできない不具合を修正
　(但し、背景のみのPSDファイルでチャンネル数が４以上の場合はまだ読み込めません)
·SAIが不正終了した時に試用期間情報が壊れる場合がある不具合を修正
·PSD/BMPをロード→編集して「キャンバスを保存」を行った場合にいきなり上書きしないよう修正

2005-08-06 14版(b)
·PSD形式のセーブで合成モードとクリッピンググループの設定が保存されない不具合を修正
·PSD形式のロードでレイヤーの有効ピクセルを含む最小矩形以外に描画できない不具合を修正
·初回セットアップのダイアログで「実行」を押した直後に不正終了する場合がある不具合を修正
·Win9x系で初回セットアップの終了後に不正終了する不具合を修正
·エラーレポート機能を追加

2005-08-04 14版(a)
·編集データのファイルサイズとセーブ·ロードの速度を改善
·暫定的にPSDファイルに対応
·ファイルの関連付けで*.saiファイルを開けるようにした
·アイコンを付けてみた
·毛状のブラシで素早く円を描いたときにブレる現象を軽減した
·その他細かい調整とバグフィックス

2005-07-05 13版(g)
·レイヤーの削除処理で、削除されるレイヤーが最下層である場合に不正終了する不具合を修正

2005-07-03 13版(f)
·手ぶれ補正で筆圧に対する補正度合いを半分に修正
·レイヤー名が62文字以上の時、そのレイヤーを複製すると内部ワークのサイズ不足で不正終了する
　不具合を修正
·レイヤー削除時に無効なメモリを参照して不正終了する事がある不具合を修正
·ペン入れレイヤー系ツールのドットカーソルモードでペン入れツール以外は通常カーソルになるよう
　修正
·ブラシ系ツールで手ぶれ補正を個別設定できるよう修正
·コピーしたペン入れツールが描画できない不具合を修正
·エディットボックスの不具合を修正
·スタイラスがキャンバス上で検知外に離された時にマウス操作モードに移行できていなかった不具合
　を修正

2005-06-05 13版(e)
·13版dでのトリミング処理の不具合を修正でエンバグさせていたのを修正

2005-06-05 13版(d)
·筆系ツールで不透明度の扱いに不具合があったのを修正 (筆で透明色使用時、水彩筆使用時)
·ペン入れレイヤーで右縁·下縁に描画すると不正終了する不具合を修正 (トリミング処理の不具合)

2005-06-04 13版(c)
·筆系ツールで筆圧反映の[混色]がOFFの場合に描画が異常になる不具合を修正

2005-06-04 13版(b)
·Ctrl+Aの実装の際、ツール選択で"A"キーが使用できなくなっていた不具合を修正
·拡大縮小等でキャンバスの表示が壊れる不具合を直しきれていなかったのを修正
·タブレットからの筆圧が異常値である場合の対策を強化

2005-06-04 13版
·描画モード「ビビッド」「ディープ」を実装
·加算レイヤーの加算量を二倍に変更
·ペン入れレイヤーのストローク筆圧変更ツールのUIを改良
·ペン入れレイヤーのストローク筆圧変更ツールで筆圧を0%～200%で設定できるよう改良
·ペン入れレイヤーの全ストロークの筆圧リセットを実装
·手ぶれ補正がキャンバス上でだけ有効になるよう変更
·編集データ保存のエラー時にメッセージを出し忘れていたのを修正
·拡大縮小等でキャンバスの表示が壊れる不具合を修正
·タスクバーが上か左にある場合にSAIのウィンドウ位置記憶がずれていく不具合を修正
·ドロップダウンメニューのサイズが常にフレームウィンドウ内に収まるよう修正
·Ctrl+Aによる「全て選択」を実装
·小さいキャンバスから大きいキャンバスへ画像をペーストした時にレイヤー矩形が小さいサイズの
　ままになっていた不具合を修正
·ブラシツールトレイのサイズを広げて項目が64個以上表示された時に不正終了する不具合を修正

2005-05-07 12版(b)
·筆形状のブラシで垂直に上に描くと斜めにゴミ線が描画される不具合を修正
·[色伸び]のパラメータの効果が強く出るように修正
·ペン入れレイヤー用の移動ツール等のショートカットキーを復活

2005-05-06 12版
·ブラシツールトレイを実装
·ブラシ系ツールの動作をまた改変。11版は無かったことにしてください (すんません)
·ブラシ形状とブラシテクスチャを実装
·レイヤーの合成モードに[加算]を追加
·ブラシ系ツール限定でドットカーソルモードを仮実装
·その他細かい調整とバグ修正

2005-04-15 11版(b)
·消しゴムツールのショートカットキーが正しく動いていなかった不具合を修正
·使用日数のカウントがリセットされていなかったのを修正

2005-04-14 11版(a)
·筆ツールを刷新。ある程度細かいパラメータ調整を実装。筆が下地の色を吸い込む感じを出せる
　ようにした

2005-04-10 10版(d)
·筆、水彩筆を描画特性をチューニング。描画色と下地色の混合に筆圧が影響しないように変更
　筆を置いた時の濃度の立ち上がりが鋭くなるよう変更

·ブラシ系ツールのアンチエイリアスを調整してヌキのガタつきを抑制

·テールスイッチ／サイドスイッチの消しゴムでレイヤーを切り替えた時に消しゴムモードが
　キャンセルされる不具合を修正

·キャンバス以外の場所でテールスイッチ／サイドスイッチを押した時、消しゴムモードに切り
　替わるよう変更

·テールスイッチ／サイドスイッチを消しゴムに設定している時、最後にテールスイッチ／サイド
　スイッチで選択したツールに切り替わるよう変更

·カーソルキーでキャンバスをスクロールさせた時にペン入れレイヤーの制御点がスクロール前の
　位置に戻ってしまう不具合を修正

·ペン入れレイヤーのラスタライズ·複製を実装

·ペン入れレイヤーを削除した時に削除前の表示が残ってしまう不具合を修正

·選択領域ペンの使用時、"-"キーによる透明色切り替えが動いていなかった不具合を修正

·タブレットドライバの設定でSAI専用の設定を作っている場合にタブレットが異常動作する問題
　に対処したつもり

·その他、細かい改良と不具合修正

2005-03-30 10版(c)
·スクラッチパッドでスポイトが動作しなくなっていた不具合を修正

2005-03-30 10版(b)
·サイドスイッチ／テールスイッチでの消しゴム使用時、ポインタがキャンバス外に移動しても
　消しゴムモードを解除しないよう修正
·"-"キーによる透明色切り替えで透明色を正しく処理できていなかった不具合を修正
·メインウィンドウでIMEが無効になるように修正

2005-03-30 10版
·IMEの変換文字列が表示されない不具合を修正したつもり
·ブラシ系ツールの描画濃度調整をスライダ式に変更
·筆ツールをチューニング
·水彩筆ドライモードがまともに動作していなかった不具合を修正
·レイヤー名変更をヒストリに記録するよう修正
·ペン入れレイヤーの制御点表示が正しく動作していなかった不具合を修正
·非表示レイヤーに描画しようとした場合の警告ダイアログを出すように修正
·'-'キーで透明と描画色をトグルする機能を追加
·Delete, End によるキャンバス表示回転を復活
·スタイラスのサイドスイッチによるダブルクリックを使用できるよう修正
·その他細かいバグ修正と調整

2005-03-27 10版(有志の方々へのテストお願い版)
·操作パネルの位置変更を実装
·スポイトの表示レイヤーの色を取得するよう変更
·ブラシツールのヌキを調整
·テールスイッチの消しゴム対応
·カラーサークルのHSLモードを追加
·その他バグ修正と調整

2005-03-04 ９版(d)
·スタイラスのサイドスイッチの不具合を修正

2005-02-27 ９版(c)
·スクラッチパッド上でALT+左クリックによるスポイトが動作しなかった不具合を修正

2005-02-27 ９版(b)
·スタイラスのサイドスイッチでスポイトできない不具合を修正
·管理者権限以下で実行した時、レジストリに一切値を書けていなかった不具合を修正

2005-02-27 ９版
·セーブ·ロード機能を実装
·カラーサークルを実装
·RGBスライダを実装
·カラーミキサーを実装
·ユーザーパレットを実装
·色見本を廃止
·タブレット使用時にたまに描画できなくなる不具合を修正
·その他、細かい改良とバグ修正

2005-01-17 ８版(e)
·ペン入れレイヤーでストロークをREDOした時に筆圧情報が反映されない不具合を修正
·特定サイズのキャンバスでペン入れツールが不正終了する不具合を修正
·ペン入れツールにストローク削除を実装
·筆、水彩筆で描画品質を指定する機能を実装
·ブラシ系ツールを少し調整

2005-01-16 ８版(d)
·領域選択をUNDOした際に内部情報が不正になる不具合を修正

2005-01-16 ８版(c)
·マウ筋対応。マウ筋が4000番台のウィンドウメッセージを送信してくる問題に対処

2005-01-16 ８版(b)
·手のひらツールとかスポイトとかあちこちバグバグだったので修正

2005-01-16 ８版
·ペン入れ用ツール群を実装
·ブラシ系ツールを調整
·ストロークのヌキにゴミが出る不具合を修正
·筆圧感度スライダによる変化特性をガンマカーブ風に変更
·タイトルバーを目立つように変更
·その他、細かい改良と不具合修正

2004-12-24 ７版(c)
·一部ショートカットキーを標準的なバインドに変更

2004-12-21 ７版(b)
·キャンバス上でドラッグ中にショートカットキーによるツール切り替えを行うとハングアップ
　する不具合を修正

2004-12-21 ７版
·キャンバス上でのドラッグ操作中に突然操作を受け付けなくなる不具合を修正
·タブレットによるブラシ描画時のストロークの入りと抜きの品質を改善
·ショートカットキーによるツール選択等 (試験投入)
·大サイズブラシを少し高速化
·その他、細かい不具合修正

2004-12-19 ６版(b)
·タブレットでの操作で、ブラシ系ツールを使用した後に選択ツールを使用するとハングアップ
　する不具合を修正
·その他、細かい不具合修正

2004-11-24 ６版
·選択ツールによる選択部分の移動、コピー、カット、ペースト
·選択領域のカラー表示時の色の意味を反転
·消しゴムツールでゴミが出る不具合を修正
·SAIの二重起動時にヒストリ処理が衝突して不正終了する不具合を修正
·その他、細かい改良と不具合修正

2004-11-06 ５版
·選択領域ペン、選択領域消しゴム、自動選択の実装
·水彩筆のウェットモードを改良
·「下のレイヤーでクリッピング」の実装を改良
·ビットマップの読み込み·保存を実装
·レイヤーの複製を実装
·描画コアと表示コアの大幅改良
·その他、細かい改良と不具合修正

2004-09-27 ４版
·各種レイヤー操作の実装
·水彩筆ツールに[ウェットモード]を追加
·ヒストリ周りの不具合修正

2004-09-10 ３版
·筆ツールの追加
·水彩筆ツールの追加
·UNDO/REDOの実装
·操作パネルの作り込み

2004-08-04 ２版
·画面解像度が1280x1024以上に対応していなかった問題を修正。
·消しゴムツールの追加。
·ブラシパターンのチューニング。
·矩形選択を少しだけ作り込み。
·カラーパレットの色数を増加。
·起動時のOSバージョンチェック、MMX対応判定等を追加。

2004-08-02 １版
·初版。

--
SYSTEMAX / 小松 浩司 <koji@systemax.jp>
http://www.systemax.jp/

